org.eclipse.ecf.provider.jslp.identity

## Class JSLPServiceTypeID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.discovery.identity.ServiceTypeID
    - - org.eclipse.ecf.provider.jslp.identity.JSLPServiceTypeID

All Implemented Interfaces:
  Serializable, Comparable, Principal, org.eclipse.core.runtime.IAdaptable, ID, IServiceTypeID

    public class JSLPServiceTypeID
    extends ServiceTypeID

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`DELIM, namingAuthority, protocols, scopes, services, typeName`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Fields inherited from interface org.eclipse.ecf.discovery.identity.IServiceTypeID

`DEFAULT_NA, DEFAULT_PROTO, DEFAULT_SCOPE`

### Constructor Summary

Constructors
`protected` `JSLPServiceTypeID(Namespace namespace, String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getInternal()` Get the internal name of the service type.
`String` `getName()` Get the unique name of this identity.
`ch.ethz.iks.slp.ServiceType` `getServiceType()`

### Methods inherited from class org.eclipse.ecf.discovery.identity.ServiceTypeID

`createType, equals, getNamingAuthority, getProtocols, getScopes, getServices, hashCode, namespaceCompareTo, namespaceEquals, namespaceGetName, namespaceHashCode, toString`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, getAdapter, getNamespace, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`getNamespace, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Constructor Detail

#### JSLPServiceTypeID

    protected JSLPServiceTypeID(Namespace namespace,
                                String type)

### Method Detail

#### getServiceType

    public ch.ethz.iks.slp.ServiceType getServiceType()

Returns:
  the jSLP ServiceType

#### getInternal

    public String getInternal()

Description copied from interface: `IServiceTypeID`
Get the internal name of the service type. Provider implementations may choose to have this return the same value as `ID.getName()`, or they may return a different, internal value appropriate to the provider.

Specified by:
  `getInternal` in interface `IServiceTypeID`
Overrides:
  `getInternal` in class `ServiceTypeID`
Returns:
  String internal name for this service type. Will not return `null`.

#### getName

    public String getName()

Description copied from interface: `ID`
Get the unique name of this identity.

Specified by:
  `getName` in interface `Principal`
Specified by:
  `getName` in interface `ID`
Overrides:
  `getName` in class `ServiceTypeID`
Returns:
  String unique name for this identity. Will not be null, and must be a unique String within the Namespace returned by getNamespace()